/**
 * 初始化离职管理详情对话框
 */
var TalentQuitInfoDlg = {
    talentQuitInfoData: {}
};


/**
 * 关闭此对话框
 */
TalentQuitInfoDlg.close = function () {
    parent.layer.close(window.parent.TalentQuit.layerIndex);
}

//附件初始化
TalentQuitInfoDlg.initFileTable = function () {
    var queryData = {};
    queryData['project'] = CONFIG.project_quit;
    queryData['type'] = $("#type").val();
    $("#fileTable").bootstrapTable({
        url: Feng.ctxPath + "/common/api/findCommonFileType",
        method: 'POST',
        contentType: "application/x-www-form-urlencoded; charset=UTF-8",
        search: false, // 是否显示表格搜索，此搜索是客户端搜索，不会进服务端
        showRefresh: false, // 是否显示刷新按钮
        clickToSelect: true, // 是否启用点击选中行
        singleSelect: true, // 设置True 将禁止多选
        striped: true, // 是否显示行间隔色
        escape: true,
        pagination: false, // 设置为 true 会在表格底部显示分页条
        paginationHAlign: "left",
        paginationDetailHAlign: "right",
        sidePagination: "server", // 设置在哪里进行分页，可选值为 'client' 或者 'server'
        showColumns: false,
        detailView: true, //是否显示父子表
        pageList: [10, 30, 50],
        queryParams: function (params) {
            return $.extend(queryData, params)
        },
        rowStyle: function (row, index) {
            return {classes: "info"};
        },
        columns:
                [
                    {field: 'selectItem', checkbox: false, visible: false},
                    {title: '名称', field: 'name', visible: true, align: 'center', valign: 'middle', width: "30%", 'class': 'uitd_showTip',
                        formatter: function (value, row, index) {
                            if (row.must == 1) {
                                return '<i class="fa fa-paste"></i><span style="font-weight:bold;color:red;font-size:14px;font-family:宋体"> * </span> ' + value;
                            }
                            if (row.must == 2) {
                                return '<i class="fa fa-paste"></i>' + value;
                            }
                        }
                    },
                    {title: '模板', field: 'templateUrl', visible: true, align: 'center', valign: 'middle', width: "8%",
                        formatter: function (value, row, index) {
                            if (value == null || value == '' || value == 'null') {
                                return '无';
                            }
                            return "<button type='button' onclick=\"TalentQuitInfoDlg.downloadFile('" + row.id + "',3)\" style='margin-right: 10px' class=\"btn btn-xs btn-primary\">" +
                                    "<i class=\"fa fa-download\"></i>下载" +
                                    "</button>";
                        }
                    },
                ]
        ,
        onPostBody: function () {
            $("td.uitd_showTip").bind("mouseover", function () {
                var htm = $(this).html();
                $(this).webuiPopover({title: '详情', content: htm, trigger: 'hover'}).webuiPopover('show');
            });
        },
        onLoadSuccess: function (data) {
            $("#fileTable").bootstrapTable('expandAllRows');
        },
        onExpandRow: function (index, row, $detail) {
            var ajax = new $ax(Feng.ctxPath + "/common/api/listTalentCommonFile", function (data) {
                if (data == null || data.length == 0) {
                    return;
                }
                var html = '<ul class="imgs"><li style="width: 80%;font-weight: bold;padding-top: 5px;">附件原名</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">预览</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">操作</li>';
                for (var key in data) {
                    var sn = data[key].url.lastIndexOf(".");
                    var suffix = data[key].url.substring(sn + 1, data[key].url.length);
                    var imgStr = "";
                    if (suffix == "pdf" || suffix == "PDF") {
                        imgStr = "<button type='button'  onclick=\"Feng.showPdf('" + data[key].url + "','" + data[key].id + "','" + data[key].orignName + "')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-pdf-o\" aria-hidden=\"true\"></i></button>";
                    } else if (suffix == "xlsx" || suffix == "XLSX" || suffix == 'xls' || suffix == 'XLS') {
                        imgStr = "<button type='button'  onclick=\"Feng.showExcel('" + data[key].url + "','" + data[key].id + "','" + data[key].orignName + "')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-excel-o\" aria-hidden=\"true\"></i></button>";
                    } else {
                        imgStr = '<img class=\"imgUrl\"  src=\"' + data[key].url + '\" style=\"width:25px;height:25px;\">';
                    }
                    html = html + '<li style="display: none">' + data[key].id + '</li>\n' +
                            '<li style="width: 80%;padding-top: 5px;">' + data[key].orignName + '</li>\n' +
                            '<li style="width: 10%;">' + imgStr + '</li>\n' +
                            "<li style='width: 10%;padding-top: 2px;'><button type='button' onclick=\"TalentQuitInfoDlg.downloadFile('" + data[key].id + "',2)\" class=\"btn btn-xs btn-success\"><i class=\"fa fa-download\" aria-hidden=\"true\"></i>下载</button></li>";
                }
                html = html + '</ul>';
                $detail.html(html);
                $(".imgs").viewer({
                    // toolbar:false,
                    fullscreen: false
                });
            }, function (data) {
                Feng.error("查询失败!" + data.responseJSON.message + "!");
            });
            var queryData = {};
            queryData["mainId"] = $("#id").val();
            queryData["typeId"] = row.id;
            ajax.set(queryData);
            ajax.start();
        }
    });
}

//下载
TalentQuitInfoDlg.downloadFile = function (id, type) {
    window.location.href = Feng.ctxPath + "/common/api/downloadFile?id=" + id + "&type=" + type;
}


//提交审核
TalentQuitInfoDlg.submitCheck = function () {
    layer.open({
        type: 1,
        id: "checkModel",
        title: '审核',
        area: ['800px', '450px'], //宽高
        fix: false, //不固定
        shade: 0,
        maxmin: true,
        content: " <form id=\"checkForm\" style='margin: 5px'>\n" +
                "                    <div class=\"form-group\">\n" +
                "                        <label for=\"checkState\" class=\"control-label\">审核状态</label>\n" +
                "                        <select class=\"form-control\" id=\"checkStateNow\" onchange=\"TalentQuitInfoDlg.toggleField()\">\n" +
                "                            <option value=\"\"></option>\n" +
                "                            <option value=\"3\">审核通过</option>\n" +
                "                            <option value=\"2\">审核驳回</option>\n" +
                "                        </select>\n" +
                "                    </div>\n" +
                "                    <div class=\"form-group\">\n" +
                "                        <label for=\"msg\" class=\"control-label\">审核意见</label>\n" +
                "                        <textarea class=\"form-control\" id=\"msg\" rows='6'></textarea>\n" +
                "                    </div>\n" +
                "                </form>",
        btn: ['<i class="fa fa-save"></i>&nbsp;&nbsp;提交', '<i class="fa fa-eraser"></i>&nbsp;&nbsp;关闭'],
        btnAlign: 'c',
        zIndex: layer.zIndex,
        success: function () {
            $("#checkForm")[0].reset();
        },
        yes: function (index, layero) {
            var id = $("#id").val();
            var checkState = $("#checkStateNow").val();
            var msg = $("#msg").val();
            if (checkState == null || checkState == '') {
                Feng.error("请选择审核状态");
                return;
            }
            if (msg == null || msg == '') {
                Feng.error("请填写审核意见");
                return;
            }
            var operation = function () {
                var ajax = new $ax(Feng.ctxPath + "/admin/enterpriseCloseAccount/submitToCheck", function (data) {
                    if (data.code == "200") {
                        Feng.success(data.msg);
                        window.parent.TalentQuit.table.refresh();
                        layer.close(index);
                        TalentQuitInfoDlg.close();
                    } else {
                        Feng.error(data.msg);
                    }
                }, function (data) {
                    Feng.error("提交失败!" + data.responseJSON.message + "!");
                });
                ajax.setData({"id": id, "checkState": checkState, "checkMsg": msg});
                ajax.start();
            }
            Feng.confirm("一旦提交，无法修改，确认提交审核吗?", operation);
        }
    });
}


TalentQuitInfoDlg.toggleField = function () {
    var checkState = $("#checkStateNow").val();
    if (checkState == 3) {
        $("#msg").val("账户注销审核通过。");
    } else if (checkState == 2) {
        $("#msg").val("");
    }
}

/**
 * 打包下载
 */
TalentQuitInfoDlg.download = function () {
    window.location.href = encodeURI(encodeURI(Feng.ctxPath + "/common/api/downloadZip?type=109&id=" + $("#id").val()));
}

$(function () {
    if (id != null && id != '') {
        $("#fileLi").removeAttr("style");
    } else {
        $("#fileLi").attr("style", "pointer-events: none");
    }
    Feng.getCheckLog("logTable", {"type": 10, "mainId": $("#id").val(), "typeFileId": "", "active": 1, "category": "close_account"})
    $("select").each(function () {
        $(this).val($(this).attr("value"));
    });

    $(".imgs").viewer({fullscreen: false});
});
